Xeonr Developer Docs
UplApiUploads

Delete upload metadata entry

POST
/uplim.api.v1.BucketUploadsService/DeleteUploadMetadata

Removes a metadata entry from an upload by key.

Authorization

OAuth2 upl:uploads:manage
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:uploads:manage

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?&
uploadRef?&
key?string

Fully-namespaced metadata key (":", e.g. "myint:status")

Match^[a-z][a-z0-9-]{0,62}[a-z0-9]:[a-z][a-z0-9._-]{0,62}[a-z0-9]$
Length1 <= length <= 160
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/DeleteUploadMetadata" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}